## mathgl 2.1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.6)

project( MathGL )

if(NOT CMAKE_BUILD_TYPE)
	set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: 
		None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif(NOT CMAKE_BUILD_TYPE)

set(CMAKE_VERBOSE_MAKEFILE ON)
set(MathGL_VERSION_MAJOR 2)
set(MathGL_VERSION_MINOR 1.3)


MACRO(MGL_DEPENDENT_OPTION option doc default depends1 force1 depends2 force2)
  IF(${option}_ISSET MATCHES "^${option}_ISSET$")
    SET(${option}_AVAILABLE 1)
    IF(${force1})
    FOREACH(d ${depends1})
      STRING(REGEX REPLACE " +" ";" CMAKE_DEPENDENT_OPTION_DEP "${d}")
      IF(${CMAKE_DEPENDENT_OPTION_DEP})
      ELSE(${CMAKE_DEPENDENT_OPTION_DEP})
          SET(${option}_AVAILABLE 0)
          SET(depends1_AVAILABLE 1)
      ENDIF(${CMAKE_DEPENDENT_OPTION_DEP})
    ENDFOREACH(d)
    ENDIF(${force1})
    IF(${force2})
    FOREACH(d ${depends2})
      STRING(REGEX REPLACE " +" ";" CMAKE_DEPENDENT_OPTION_DEP "${d}")
      IF(${CMAKE_DEPENDENT_OPTION_DEP})
      ELSE(${CMAKE_DEPENDENT_OPTION_DEP})
          SET(${option}_AVAILABLE 0)
          SET(depends2_AVAILABLE 1)
      ENDIF(${CMAKE_DEPENDENT_OPTION_DEP})
    ENDFOREACH(d)
    ENDIF(${force2})
    IF(${option}_AVAILABLE)
      OPTION(${option} "${doc}" "${default}")
      SET(${option} "${${option}}" CACHE BOOL "${doc}" FORCE)
    ELSE(${option}_AVAILABLE)
      IF(${option} MATCHES "^${option}$")
      ELSE(${option} MATCHES "^${option}$")
        SET(${option} "${${option}}" CACHE INTERNAL "${doc}")
      ENDIF(${option} MATCHES "^${option}$")
        IF(depends1_AVAILABLE)
          SET(${option} OFF)
        ELSEIF(depends2_AVAILABLE)
          SET(${option} ON)
        ENDIF(depends1_AVAILABLE)
    ENDIF(${option}_AVAILABLE)
  ELSE(${option}_ISSET MATCHES "^${option}_ISSET$")
    SET(${option} "${${option}_ISSET}")
  ENDIF(${option}_ISSET MATCHES "^${option}_ISSET$")
ENDMACRO(MGL_DEPENDENT_OPTION)
include(CMakeDependentOption)

set(MGL_LIB_INSTALL_DIR "lib" CACHE STRING "Set library install directory")

option(enable-double "Enable double precision in MathGL library" ON)
option(enable-simple "Slightly increase drawing speed but disable mglDataA class")
option(enable-mpi "Enable mpi")
option(enable-doc "Enable documentation building")
option(enable-all "Enable all core features")
option(enable-all-widgets "Enable all Widgets")
option(enable-all-swig "Enable all SWIG based interfaces")
option(enable-pthread "Enable POSIX threads support" ON)
option(enable-lgpl "Enable only LGPL part of MathGL")
option(enable-mgl2 "Use names 'libmgl2-*' instead of 'libmgl-*'")
#option(enable-ltdl "Enable loading modules support")
CMAKE_DEPENDENT_OPTION(enable-zlib "Enable zlib support" ON "NOT enable-all" ON)
CMAKE_DEPENDENT_OPTION(enable-png "Enable png support" ON "NOT enable-all" ON)
CMAKE_DEPENDENT_OPTION(enable-jpeg "Enable jpeg support" OFF "NOT enable-all" ON)
MGL_DEPENDENT_OPTION(enable-gsl "Enable gsl support" OFF "NOT enable-lgpl" ON "NOT enable-all" ON)
MGL_DEPENDENT_OPTION(enable-hdf4 "Enable hdf4 support" OFF "NOT enable-lgpl" ON "NOT enable-all" ON)
MGL_DEPENDENT_OPTION(enable-hdf5 "Enable hdf5 support" OFF "NOT enable-lgpl" ON "NOT enable-all" ON)
CMAKE_DEPENDENT_OPTION(enable-pdf "Enable pdf support" OFF "NOT enable-all" ON)
CMAKE_DEPENDENT_OPTION(enable-gif "Enable gif support" OFF "NOT enable-all" ON)
CMAKE_DEPENDENT_OPTION(enable-opengl "Enable OpenGL support" ON "NOT enable-mpi" OFF)
MGL_DEPENDENT_OPTION(enable-glut "Enable glut support" OFF "NOT enable-lgpl;NOT enable-mpi" ON "NOT enable-all-widgets" ON)
MGL_DEPENDENT_OPTION(enable-fltk "Enable fltk widget" OFF "NOT enable-lgpl;NOT enable-mpi" ON "NOT enable-all-widgets" ON)
CMAKE_DEPENDENT_OPTION(enable-wx "Enable wxWidget widget" OFF "NOT enable-lgpl;NOT enable-mpi" OFF)
MGL_DEPENDENT_OPTION(enable-qt "Enable Qt4 widget" OFF "NOT enable-lgpl;NOT enable-mpi" ON "NOT enable-all-widgets" ON)
MGL_DEPENDENT_OPTION(enable-python "Enable python interface" OFF "NOT enable-lgpl" ON "NOT enable-all-swig" ON)
MGL_DEPENDENT_OPTION(enable-octave "Enable octave interface" OFF "NOT enable-lgpl" ON "NOT enable-all-swig" ON)
MGL_DEPENDENT_OPTION(enable-octave-install "Octave interface will install for all users" ON "NOT enable-lgpl" ON "NOT enable-all-swig" ON)

include_directories( ${MathGL_SOURCE_DIR}/include ${MathGL_BINARY_DIR}/include)
set(MGL_INCLUDE_PATH "${CMAKE_INSTALL_PREFIX}/include/mgl2")
set(MGL_CGI_PATH "${CMAKE_INSTALL_PREFIX}/share/mathgl" CACHE STRING "Set CGI install directory")

if(NOT WIN32)
#	set(MGL_CGI_PATH "${CMAKE_INSTALL_PREFIX}/share/mathgl")
	set(MGL_DATA_PATH "${CMAKE_INSTALL_PREFIX}/share/mathgl")
	set(MGL_DOC_PATH "${CMAKE_INSTALL_PREFIX}/share/doc/mathgl")
	set(MGL_MAN_PATH "${CMAKE_INSTALL_PREFIX}/share/man")
	set(MGL_INFO_PATH "${CMAKE_INSTALL_PREFIX}/share/info")
	set(MGL_FONT_PATH "${MGL_DATA_PATH}/fonts")
	install(DIRECTORY fonts/ DESTINATION ${MGL_FONT_PATH}
			PATTERN ".svn" EXCLUDE
			PATTERN "*.vfm")
endif(NOT WIN32)

include(CheckFunctionExists)
include(CMakePushCheckState)
CHECK_FUNCTION_EXISTS(sin MGL_SIN)
if(NOT MGL_SIN)
        cmake_push_check_state()
        set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} m)
        CHECK_FUNCTION_EXISTS(sin MGL_SIN_M)
        cmake_pop_check_state()
        if(MGL_SIN_M)
                set(M_LIB m)
        elseif(MGL_SIN_M)
                message(SEND_ERROR "Math library not found")
        endif(MGL_SIN_M)
endif(NOT MGL_SIN)

if(enable-double)
	set(MGL_USE_DOUBLE 1)
else(enable-double)
	set(MGL_USE_DOUBLE 0)
endif(enable-double)

if(enable-simple)
	set(MGL_NO_DATA_A 1)
message(STATUS "Class mglDataA is switched off.")
else(enable-simple)
	set(MGL_NO_DATA_A 0)
endif(enable-simple)

if(enable-mpi)
	set(MGL_HAVE_MPI 1)
	find_package(MPI REQUIRED)
	set(CMAKE_CXX_COMPILE_FLAGS ${CMAKE_CXX_COMPILE_FLAGS} ${MPI_COMPILE_FLAGS})
	set(CMAKE_CXX_LINK_FLAGS ${CMAKE_CXX_LINK_FLAGS} ${MPI_LINK_FLAGS})
	include_directories(${MPI_INCLUDE_PATH})
else(enable-mpi)
	set(MGL_HAVE_MPI 0)
endif(enable-mpi)

if(enable-pthread)
	set(MGL_HAVE_PTHREAD 1)
	include(FindThreads)
	if(NOT CMAKE_USE_PTHREADS_INIT)
		message(SEND_ERROR "Couldn't find POSIX threads library.")
	endif(NOT CMAKE_USE_PTHREADS_INIT)
else(enable-pthread)
	set(MGL_HAVE_PTHREAD 0)
endif(enable-pthread)

if(enable-gsl)
	set(MGL_HAVE_GSL 1)
	find_library(GSL_LIB gsl)
	find_library(GSL_CBLAS_LIB gslcblas)
	find_path(GSL_INCLUDE_DIR gsl/gsl_fft_complex.h)
	if(NOT GSL_LIB OR NOT GSL_CBLAS_LIB OR NOT GSL_INCLUDE_DIR)
		message(SEND_ERROR "${GSL_LIB}")
		message(SEND_ERROR "${GSL_CBLAS_LIB}")
		message(SEND_ERROR "${GSL_INCLUDE_DIR}")
		message(SEND_ERROR "Couldn't find GSL libraries.")
	endif(NOT GSL_LIB OR NOT GSL_CBLAS_LIB OR NOT GSL_INCLUDE_DIR)
else(enable-gsl)
	set(MGL_HAVE_GSL 0)
endif(enable-gsl)

#if(enable-all OR enable-ltdl)
#	set(MGL_HAVE_LTDL 1)
#	find_library(LTDL_LIB ltdl)
#	find_path(LTDL_INCLUDE_DIR ltdl.h)
#	if(NOT LTDL_LIB OR NOT LTDL_INCLUDE_DIR)
#		message(SEND_ERROR "${LTDL_LIB}")
#		message(SEND_ERROR "${LTDL_INCLUDE_DIR}")
#		message(SEND_ERROR "Couldn't find LTDL library.")
#	endif(NOT LTDL_LIB OR NOT LTDL_INCLUDE_DIR)
#else(enable-all OR enable-ltdl)
#	set(MGL_HAVE_LTDL 0)
#endif(enable-all OR enable-ltdl)

if(enable-hdf4)
	set(MGL_HAVE_HDF4 1)
	find_library(HDF4_LIB df)
	find_library(HDF4MF_LIB mfhdf)
	find_path(HDF4_INCLUDE_DIR hdf/mfhdf.h)
	if(NOT HDF4_LIB OR NOT HDF4MF_LIB OR NOT HDF4_INCLUDE_DIR)
		message(SEND_ERROR "${HDF4_LIB}")
		message(SEND_ERROR "${HDF4MF_LIB}")
		message(SEND_ERROR "${HDF4_INCLUDE_DIR}")
		message(SEND_ERROR "Couldn't find HDF4 libraries.")
	endif(NOT HDF4_LIB OR NOT HDF4MF_LIB OR NOT HDF4_INCLUDE_DIR)
else(enable-hdf4)
	set(MGL_HAVE_HDF4 0)
endif(enable-hdf4)

if(enable-hdf5)
#	message(STATUS "enable hdf5")
	set(MGL_HAVE_HDF5 1)
	include(FindHDF5)
	if(NOT HDF5_FOUND)
		message(SEND_ERROR "Couldn't find HDF5 library.")
	endif(NOT HDF5_FOUND)
else(enable-hdf5)
	set(MGL_HAVE_HDF5 0)
endif(enable-hdf5)

if(enable-jpeg)
	set(MGL_HAVE_JPEG 1)
	include(FindJPEG)
	if(NOT JPEG_FOUND)
		message(SEND_ERROR "Couldn't find JPEG library.")
	endif(NOT JPEG_FOUND)
else(enable-jpeg)
	set(MGL_HAVE_JPEG 0)
endif(enable-jpeg)


if(enable-zlib)
	set(MGL_HAVE_ZLIB 1)
	include(FindZLIB)
	if(NOT ZLIB_FOUND)
		message(SEND_ERROR "Couldn't find ZLib library.")
	endif(NOT ZLIB_FOUND)
else(enable-zlib)
	set(MGL_HAVE_ZLIB 0)
endif(enable-zlib)

if(enable-png)
	set(MGL_HAVE_PNG 1)
	if(NOT MGL_HAVE_ZLIB)
		message(SEND_ERROR "You have to enable ZLib if you plan to use PNG export.")
	endif(NOT MGL_HAVE_ZLIB)
	include(FindPNG)
	if(NOT PNG_FOUND)
		message(SEND_ERROR "Couldn't find PNG library.")
	endif(NOT PNG_FOUND)
else(enable-png)
	set(MGL_HAVE_PNG 0)
endif(enable-png)


if(enable-pdf)
	set(MGL_HAVE_PDF 1)
	if(NOT MGL_HAVE_PNG)
		message(SEND_ERROR "You have to enable PNG if you plan to use PDF export.")
	endif(NOT MGL_HAVE_PNG)
	find_library(HPDF_LIB hpdf)
	if(NOT HPDF_LIB)
		message(SEND_ERROR "Couldn't find libHaru or libhpdf.")
	endif(NOT HPDF_LIB)
	find_path(HPDF_INCLUDE_DIR hpdf_u3d.h)
	if(NOT HPDF_INCLUDE_DIR)
		message(SEND_ERROR "Couldn't find headers of 3d-enabled version of libhpdf.")
	endif(NOT HPDF_INCLUDE_DIR)
#	message(STATUS "Found libHaru library at: ${HPDF_LIB}")
#	message(STATUS "Found libHaru headers: ${HPDF_INCLUDE_DIR}")
else(enable-pdf)
	set(MGL_HAVE_PDF 0)
endif(enable-pdf)

if(enable-gif)
	set(MGL_HAVE_GIF 1)
	include(FindGIF)
	if(NOT GIF_FOUND)
		message(SEND_ERROR "Couldn't find GIF library.")
	endif(NOT GIF_FOUND)
else(enable-gif)
	set(MGL_HAVE_GIF 0)
endif(enable-gif)

if(enable-opengl)
	set(MGL_HAVE_OPENGL 1)
	include(FindOpenGL)
	if(NOT OPENGL_FOUND)
		message(SEND_ERROR "Couldn't find OpenGL libraries.")
	endif(NOT OPENGL_FOUND)
else(enable-opengl)
	set(MGL_HAVE_OPENGL 0)
endif(enable-opengl)

if(enable-glut)
	set(MGL_HAVE_GLUT 1)
	if(NOT MGL_HAVE_OPENGL)
		message(SEND_ERROR "You have to enable OpenGL if you plan to use GLUT.")
	endif(NOT MGL_HAVE_OPENGL)
	include(FindGLUT)
	if(NOT GLUT_FOUND)
		message(SEND_ERROR "Couldn't find GLUT library.")
	endif(NOT GLUT_FOUND)
else(enable-glut)
	set(MGL_HAVE_GLUT 0)
endif(enable-glut)

if(enable-fltk)
	set(MGL_HAVE_FLTK 1)
	include(FindFLTK)
	if(NOT FLTK_FOUND)
		message(SEND_ERROR "Couldn't find FLTK library.")
	endif(NOT FLTK_FOUND)
else(enable-fltk)
	set(MGL_HAVE_FLTK 0)
endif(enable-fltk)

#if((enable-all-widgets OR enable-wx) AND (NOT enable-lgpl) )
if(enable-wx)
	set(MGL_HAVE_WX 1)
	FIND_PACKAGE(wxWidgets COMPONENTS base core gl)
	if(NOT wxWidgets_FOUND)
		message(SEND_ERROR "Couldn't find wxWidgets library.")
	endif(NOT wxWidgets_FOUND)
#else((enable-all-widgets OR enable-wx) AND (NOT enable-lgpl) )
else(enable-wx)
	set(MGL_HAVE_WX 0)
#endif((enable-all-widgets OR enable-wx) AND (NOT enable-lgpl) )
endif(enable-wx)

if(enable-qt)
	set(MGL_HAVE_QT 1)
	FIND_PACKAGE(Qt4 4.8 REQUIRED QtCore QtGui QtNetwork QtWebKit)
	if(NOT QT4_FOUND)
		message(SEND_ERROR "Couldn't find Qt4 library.")
	endif(NOT QT4_FOUND)
else(enable-qt)
	set(MGL_HAVE_QT 0)
endif(enable-qt)

if(enable-python)
	set(MGL_HAVE_PYTHON 1)
	FIND_PACKAGE(PythonInterp)
	if(NOT PYTHONINTERP_FOUND)
		message(SEND_ERROR "Couldn't find python interpreter.")
	endif(NOT PYTHONINTERP_FOUND)
	FIND_PACKAGE(PythonLibs)
	if(NOT PYTHONLIBS_FOUND)
		message(SEND_ERROR "Couldn't find python development libraries.")
	endif(NOT PYTHONLIBS_FOUND)
	execute_process(
		COMMAND ${PYTHON_EXECUTABLE} -c "import numpy; print numpy.get_include()"
		OUTPUT_VARIABLE NUMPY_INCLUDE_PATH
		RESULT_VARIABLE NUMPY_ERR
		OUTPUT_STRIP_TRAILING_WHITESPACE
	)
	if(NOT NUMPY_INCLUDE_PATH)
		message(SEND_ERROR "Couldn't find numpy.")
	endif(NOT NUMPY_INCLUDE_PATH)
else(enable-python)
	set(MGL_HAVE_PYTHON 0)
endif(enable-python)

if(enable-octave)
	set(MGL_HAVE_OCTAVE 1)
	find_program(oct_prog octave-config)
	if(NOT oct_prog)
		message(SEND_ERROR "Couldn't find octave-config needed for octave interfaces compiling.")
	endif(NOT oct_prog)

=== examples/CMakeLists.txt ===
if(MGL_HAVE_GSL)
	include_directories(${GSL_INCLUDE_DIR})
endif(MGL_HAVE_GSL)

add_executable(mgl_example wnd_samples.cpp full_test.cpp samples.cpp)
target_link_libraries(mgl_example mgl)

if(MGL_HAVE_FLTK)
	include_directories(${FLTK_INCLUDE_DIR})
	add_executable(mgl_fltk_example wnd_samples.cpp fltk_example.cpp)
	target_link_libraries(mgl_fltk_example mgl-fltk)
endif(MGL_HAVE_FLTK)

if(MGL_HAVE_GLUT)
	add_executable(mgl_glut_example wnd_samples.cpp glut_example.cpp)
	target_link_libraries(mgl_glut_example mgl-glut)
endif(MGL_HAVE_GLUT)

if(MGL_HAVE_WX)
	include(${wxWidgets_USE_FILE})
	add_executable(mgl_wx_example wnd_samples.cpp wx_example.cpp)
	target_link_libraries(mgl_wx_example mgl-wx)
endif(MGL_HAVE_WX)

if(MGL_HAVE_QT)
	include(${QT_USE_FILE})
#	qt_wrap_cpp(mgl_qt_example MGL_MOC_EX_FILES ../include/mgl2/qt.h)
	add_executable(mgl_qt_example wnd_samples.cpp qt_example.cpp ${MGL_MOC_EX_FILES})
	target_link_libraries(mgl_qt_example mgl-qt)
endif(MGL_HAVE_QT)

=== include/CMakeLists.txt ===
configure_file(${MathGL_SOURCE_DIR}/include/config.h.in ${MathGL_BINARY_DIR}/include/mgl2/config.h)

install(DIRECTORY mgl2/ DESTINATION ${MGL_INCLUDE_PATH}
                        PATTERN ".svn" EXCLUDE
                        PATTERN "fltk.h" EXCLUDE
                        PATTERN "glut.h" EXCLUDE
                        PATTERN "wx.h" EXCLUDE
                        PATTERN "qt.h" EXCLUDE
                        PATTERN "qmathgl.h" EXCLUDE
                        PATTERN "window.h" EXCLUDE
                        PATTERN "*~" EXCLUDE
                        PATTERN "*.fs"
                        PATTERN "*.pas"
                        PATTERN "*.h")

install(FILES ${MathGL_BINARY_DIR}/include/mgl2/config.h DESTINATION ${MGL_INCLUDE_PATH})
if(MGL_HAVE_FLTK)
	install(FILES mgl2/fltk.h DESTINATION ${MGL_INCLUDE_PATH})
endif(MGL_HAVE_FLTK)
if(MGL_HAVE_GLUT)
	install(FILES mgl2/glut.h DESTINATION ${MGL_INCLUDE_PATH})
endif(MGL_HAVE_GLUT)
if(MGL_HAVE_WX)
	install(FILES mgl2/wx.h DESTINATION ${MGL_INCLUDE_PATH})
endif(MGL_HAVE_WX)
if(MGL_HAVE_QT)
	install(FILES mgl2/qt.h mgl2/qmathgl.h DESTINATION ${MGL_INCLUDE_PATH})
endif(MGL_HAVE_QT)

#if(MGL_HAVE_FLTK AND MGL_HAVE_WX AND MGL_HAVE_QT)
if(MGL_HAVE_FLTK AND MGL_HAVE_QT AND MGL_HAVE_WX)
	install(FILES mgl2/window.h DESTINATION ${MGL_INCLUDE_PATH})
#endif(MGL_HAVE_FLTK AND MGL_HAVE_WX AND MGL_HAVE_QT)
endif(MGL_HAVE_FLTK AND MGL_HAVE_QT AND MGL_HAVE_WX)

=== json/CMakeLists.txt ===
if(MGL_HAVE_QT)

set(json_src Backend.cpp MainWindow.cpp)
set(json_moc_hdr Backend.hpp MainWindow.hpp)

include(${QT_USE_FILE})
include_directories(${MathGL_BINARY_DIR}/json)

qt4_wrap_ui(json_ui_src MainWindow.ui)
qt4_wrap_cpp(json_moc_src ${json_moc_hdr} )
add_executable(MglForJsTestBench ${json_src} ${json_moc_src} ${json_ui_src})
target_link_libraries(MglForJsTestBench mgl-qt ${QT_LIBRARIES})

endif(MGL_HAVE_QT)

=== lang/CMakeLists.txt ===
set(src_imp_dep
../include/mgl2/type.h
../include/mgl2/data.h
../include/mgl2/mgl.h
)

set(mgl_clean_files "")

SET_SOURCE_FILES_PROPERTIES(mathgl.i numpy.i PROPERTIES CPLUSPLUS ON)

if(MGL_HAVE_PYTHON)
	include_directories(${PYTHON_INCLUDE_DIR})
	execute_process(
		COMMAND ${PYTHON_EXECUTABLE} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(prefix='${CMAKE_INSTALL_PREFIX}')"
		OUTPUT_VARIABLE MGL_PYTHON_SITE_PACKAGES
		OUTPUT_STRIP_TRAILING_WHITESPACE)
	set(SWIG_MODULE_mathgl_EXTRA_DEPS numpy.i ${src_imp_dep})
	SWIG_ADD_MODULE(mathgl python mathgl.i)
	SWIG_LINK_LIBRARIES(mathgl mgl ${PYTHON_LIBRARIES})
	set_target_properties(_mathgl PROPERTIES BUILD_WITH_INSTALL_RPATH ON)
	add_custom_command(OUTPUT mathgl.pyc
		COMMAND ${PYTHON_EXECUTABLE} -c \"from py_compile import compile\; compile('mathgl.py')\"
		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/lang
		DEPENDS _mathgl
	)
	add_custom_target(mgl_python_module ALL DEPENDS _mathgl mathgl.pyc)

	install(FILES ${MathGL_BINARY_DIR}/lang/mathgl.py ${MathGL_BINARY_DIR}/lang/mathgl.pyc DESTINATION ${MGL_PYTHON_SITE_PACKAGES})
	install (TARGETS _mathgl LIBRARY DESTINATION ${MGL_PYTHON_SITE_PACKAGES})
	set(mgl_clean_files ${mgl_clean_files} mathgl.py)
endif(MGL_HAVE_PYTHON)

if(MGL_HAVE_OCTAVE)
	execute_process(COMMAND ${oct_prog} -p CANONICAL_HOST_TYPE
	OUTPUT_VARIABLE oct_host
	OUTPUT_STRIP_TRAILING_WHITESPACE)
	execute_process(COMMAND ${oct_prog} -p API_VERSION
	OUTPUT_VARIABLE oct_api
	OUTPUT_STRIP_TRAILING_WHITESPACE)
	execute_process(COMMAND ${oct_prog} -p OCTINCLUDEDIR
	OUTPUT_VARIABLE oct_inc
	OUTPUT_STRIP_TRAILING_WHITESPACE)
message(STATUS "${oct_prog} ${oct_host} ${oct_api}")
	set(oct_arch ${oct_host}-${oct_api})
	set(pkg_name mathgl)
	set(mgl_pkg_dir ${MathGL_BINARY_DIR}/lang/${pkg_name}/inst/${oct_arch})

	include_directories(${oct_inc} ${oct_inc}/..)
	SET(SWIG_MODULE_mgl-oct_EXTRA_DEPS numpy.i ${src_imp_dep})
	SWIG_ADD_MODULE(mgl-oct octave mathgl.i)
	SWIG_LINK_LIBRARIES(mgl-oct mgl)
	set_target_properties(mgl-oct PROPERTIES OUTPUT_NAME mathgl PREFIX "" SUFFIX ".oct" BUILD_WITH_INSTALL_RPATH ON)
	get_target_property(mgl-oct_filename mgl-oct LOCATION)
	add_custom_command(OUTPUT mathgl.tar.gz
		COMMAND ${CMAKE_COMMAND} -E make_directory ${mgl_pkg_dir}
		COMMAND ${CMAKE_COMMAND} -E copy ${MathGL_SOURCE_DIR}/COPYING ${MathGL_BINARY_DIR}/lang/${pkg_name}
		COMMAND ${CMAKE_COMMAND} -E copy ${MathGL_SOURCE_DIR}/lang/DESCRIPTION ${MathGL_BINARY_DIR}/lang/${pkg_name}
		COMMAND ${CMAKE_COMMAND} -E copy ${MathGL_SOURCE_DIR}/lang/INDEX ${MathGL_BINARY_DIR}/lang/${pkg_name}
		COMMAND ${CMAKE_COMMAND} -E copy ${MathGL_SOURCE_DIR}/lang/PKG_ADD_template ${MathGL_BINARY_DIR}/lang/${pkg_name}
		COMMAND ${CMAKE_COMMAND} -E copy ${mgl-oct_filename} ${mgl_pkg_dir}
		COMMAND ${oct_tar} cpzf mathgl.tar.gz ${pkg_name}
		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/lang
		DEPENDS mgl-oct
	)
	add_custom_target(mgl_octave_module ALL DEPENDS mathgl.tar.gz)

	install(FILES ${CMAKE_BINARY_DIR}/lang/mathgl.tar.gz DESTINATION ${MGL_DATA_PATH})
	if(enable-octave-install)
		install(CODE "execute_process(
			COMMAND ${oct_exec} -q --eval \"pkg install mathgl.tar.gz\"
			WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/lang )")
	endif(enable-octave-install)
	set(mgl_clean_files ${mgl_clean_files} mathgl)
endif(MGL_HAVE_OCTAVE)
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "${mgl_clean_files}")

=== mgllab/CMakeLists.txt ===
if(MGL_HAVE_FLTK)
	include_directories(${FLTK_INCLUDE_DIR})
	set(mgl_lab_src animate.cpp editor.cpp help.cpp mathgl.cpp setup.cpp write.cpp data.cpp grid.cpp main.cpp option.cpp table.cpp)
	add_executable(mgllab ${mgl_lab_src})
	target_link_libraries(mgllab mgl mgl-fltk ${FLTK_LIBRARIES})
	install(
		TARGETS mgllab
		RUNTIME DESTINATION bin	)
endif(MGL_HAVE_FLTK)

=== src/CMakeLists.txt ===
set(mgl_src
	addon.cpp axis.cpp base_cf.cpp base.cpp canvas_cf.cpp canvas.cpp cont.cpp crust.cpp
	complex.cpp complex_io.cpp fft.cpp
	data.cpp data_io.cpp data_new.cpp data_png.cpp def_font.cpp
	export_2d.cpp export_3d.cpp eval.cpp evalp.cpp exec.cpp export.cpp
	fit.cpp font.cpp obj.cpp other.cpp parser.cpp pde.cpp pixel.cpp
	plot.cpp prim.cpp surf.cpp tex_table.cpp vect.cpp volume.cpp evalc.cpp
	s_hull/s_hull_pro.cpp window.cpp
)

set(mgl_hdr
	../include/mgl2/base_cf.h	../include/mgl2/fit.h		../include/mgl2/plot.h
	../include/mgl2/base.h		../include/mgl2/prim.h		../include/mgl2/canvas_cf.h
	../include/mgl2/font.h		../include/mgl2/canvas.h	../include/mgl2/surf.h
	../include/mgl2/mgl_cf.h	../include/mgl2/type.h		${MathGL_BINARY_DIR}/include/mgl2/config.h
${MathGL_BINARY_DIR}/include/mgl2/dllexport.h
	../include/mgl2/cont.h		../include/mgl2/mgl.h		../include/mgl2/vect.h
	../include/mgl2/data.h		../include/mgl2/volume.h	../include/mgl2/data_cf.h
	../include/mgl2/define.h	../include/mgl2/other.h		../include/mgl2/eval.h
	../include/mgl2/parser.h	../include/mgl2/addon.h		../include/mgl2/evalc.h
	s_hull/s_hull_pro.h		../include/mgl2/wnd.h		../include/mgl2/canvas_wnd.h
)

add_definitions(-DMGL_SRC)

if(MGL_HAVE_PNG)
	set(prc_src prc/PRCbitStream.cc prc/PRCdouble.cc prc/oPRCFile.cc prc/writePRC.cc prc.cpp )
	set(prc_hdr prc/PRC.h prc/PRCbitStream.h prc/PRCdouble.h prc/oPRCFile.h prc/writePRC.h )

	set(mgl_src ${mgl_src} ${prc_src} )
	set(mgl_hdr ${mgl_hdr} ${prc_hdr} )
	include_directories(prc)
endif(MGL_HAVE_PNG)

if(MGL_HAVE_OPENGL)
	set(mgl_src ${mgl_src} opengl.cpp )
	set(mgl_hdr ${mgl_hdr} ../include/mgl2/opengl.h )
endif(MGL_HAVE_OPENGL)

include(GenerateExportHeader)
add_compiler_export_flags()
add_library(mgl SHARED ${mgl_src} ${mgl_hdr})
add_library(mgl-static STATIC ${mgl_src} ${mgl_hdr})
set_target_properties(mgl PROPERTIES CLEAN_DIRECT_OUTPUT 1)
set_target_properties(mgl-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
set_target_properties(mgl-static PROPERTIES COMPILE_FLAGS -DMGL_STATIC_DEFINE)
generate_export_header(mgl EXPORT_FILE_NAME ../include/mgl2/dllexport.h)

if(enable-mgl2)
	set_target_properties(mgl PROPERTIES OUTPUT_NAME "mgl2")
	set_target_properties(mgl-static PROPERTIES OUTPUT_NAME "mgl2")
else(enable-mgl2)
	set_target_properties(mgl-static PROPERTIES OUTPUT_NAME "mgl")
endif(enable-mgl2)

if(MGL_HAVE_LTDL)
	target_link_libraries(mgl ${LTDL_LIB})
	include_directories(${LTDL_INCLUDE_DIR})
endif(MGL_HAVE_LTDL)

if(MGL_HAVE_PDF)
	include_directories(${HPDF_INCLUDE_DIR})
	target_link_libraries(mgl ${HPDF_LIB})
endif(MGL_HAVE_PDF)

if(MGL_HAVE_PTHREAD)
	target_link_libraries(mgl ${CMAKE_THREAD_LIBS_INIT})
endif(MGL_HAVE_PTHREAD)

if(MGL_HAVE_JPEG)
	target_link_libraries(mgl ${JPEG_LIBRARIES})
	include_directories(${JPEG_INCLUDE_DIR})
endif(MGL_HAVE_JPEG)

if(MGL_HAVE_GIF)
	target_link_libraries(mgl ${GIF_LIBRARIES})
	include_directories(${GIF_INCLUDE_DIR})
endif(MGL_HAVE_GIF)

if(MGL_HAVE_HDF5)
	target_link_libraries(mgl ${HDF5_LIBRARIES})
	include_directories(${HDF5_INCLUDE_DIR})
endif(MGL_HAVE_HDF5)

if(MGL_HAVE_HDF4)
	target_link_libraries(mgl ${HDF4MF_LIB} ${HDF4_LIB})
	include_directories(${HDF4_INCLUDE_DIR})
endif(MGL_HAVE_HDF4)

if(MGL_HAVE_GSL)
	target_link_libraries(mgl ${GSL_LIB} ${GSL_CBLAS_LIB} )
	include_directories(${GSL_INCLUDE_DIR})
endif(MGL_HAVE_GSL)

if(MGL_HAVE_OPENGL)
	target_link_libraries(mgl ${OPENGL_LIBRARIES} )
	include_directories(${OPENGL_INCLUDE_DIR} )
endif(MGL_HAVE_OPENGL)

if(MGL_HAVE_PNG)
	target_link_libraries(mgl ${PNG_LIBRARIES} )
	include_directories(${PNG_INCLUDE_DIR})
endif(MGL_HAVE_PNG)

if(MGL_HAVE_ZLIB)
	target_link_libraries(mgl ${ZLIB_LIBRARIES} )
	include_directories(${ZLIB_INCLUDE_DIR})
endif(MGL_HAVE_ZLIB)

if(MGL_HAVE_MPI)
	add_library(mgl-mpi SHARED mpi.cpp ../include/mgl2/mpi.h)
	add_library(mgl-mpi-static STATIC mpi.cpp ../include/mgl2/mpi.h)
	set_target_properties(mgl-mpi PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	set_target_properties(mgl-mpi PROPERTIES DEFINE_SYMBOL "mgl_EXPORTS")
	set_target_properties(mgl-mpi-static PROPERTIES OUTPUT_NAME "mgl-mpi")
	set_target_properties(mgl-mpi-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	set_target_properties(mgl-mpi-static PROPERTIES COMPILE_FLAGS -DMGL_STATIC_DEFINE)

	if(enable-mgl2)
		set_target_properties(mgl-mpi PROPERTIES OUTPUT_NAME "mgl2-mpi")
		set_target_properties(mgl-mpi-static PROPERTIES OUTPUT_NAME "mgl2-mpi")
	else(enable-mgl2)
		set_target_properties(mgl-mpi-static PROPERTIES OUTPUT_NAME "mgl-mpi")
	endif(enable-mgl2)

	target_link_libraries(mgl-mpi ${MPI_LIBRARIES} )
#	include_directories(${MPI_C_INCLUDE_PATH})
	include_directories(${MPI_CXX_INCLUDE_PATH})

	set_target_properties(mgl-mpi PROPERTIES SOVERSION 7.0.0)
	install(
		TARGETS mgl-mpi mgl-mpi-static
		RUNTIME DESTINATION bin
		ARCHIVE DESTINATION ${MGL_LIB_INSTALL_DIR}
		LIBRARY DESTINATION ${MGL_LIB_INSTALL_DIR}
	)
endif(MGL_HAVE_MPI)

if(M_LIB)
	target_link_libraries(mgl ${M_LIB})
endif(M_LIB)

set_target_properties(mgl PROPERTIES SOVERSION 7.0.0)
install(
	TARGETS mgl mgl-static
	RUNTIME DESTINATION bin
	ARCHIVE DESTINATION ${MGL_LIB_INSTALL_DIR}
	LIBRARY DESTINATION ${MGL_LIB_INSTALL_DIR}
)
install(FILES ${MathGL_BINARY_DIR}/include/mgl2/dllexport.h DESTINATION ${MGL_INCLUDE_PATH})

=== texinfo/CMakeLists.txt ===
if(MGL_HAVE_DOC)
	set(MGL_PNG alpha area aspect axial axis barh bars belt boxplot
		box boxs candle chart cloud colorbar combined cones conta contd
		contfa contf contf_xyz cont contv cont_xyz curvcoor cut dat_diff
		dat_extra densa dens dens_xyz dew dots error fall fit flow fonts
		fog grad hist inplot label legend loglog map mark mesh mirror
		molecule parser pde pipe plot primitives projection qo2d radar region schemes
		several_light solve stem step stereo stfa style surf3a surf3c surf3
		surfa surfc surf table tape tens ternary textmark text ticks tile tiles
		torus traj triangulation triplot tube type0 type1 type2 vect vecta venn
		projection5 param1 param2 param3 paramv )
	set(MGL_PNG_N )
	set(MGL_PNG_S )
	set(MGL_PNG_J )
	set(MGL_PNG_D )

	set(MGL_OUT ${CMAKE_BINARY_DIR}/texinfo)
	set(MGL_TEX ${CMAKE_SOURCE_DIR}/texinfo)
	file(MAKE_DIRECTORY ${MGL_OUT}/udav)
	file(MAKE_DIRECTORY ${MGL_OUT}/png)
	file(MAKE_DIRECTORY ${MGL_OUT}/small)
	file(MAKE_DIRECTORY ${MGL_OUT}/json)
	file(MAKE_DIRECTORY ${MGL_OUT}/pdf)
	file(COPY ${MGL_TEX}/qt.png ${MGL_TEX}/fltk.png ${MGL_TEX}/classes.png ${MGL_TEX}/emblem_sm.png ${MGL_TEX}/datadvance.png DESTINATION ${MGL_OUT})
	file(COPY ${MGL_TEX}/toc_ru.html ${MGL_TEX}/toc_fr.html ${MGL_TEX}/toc_en.html ${MGL_TEX}/title.html ${MGL_TEX}/index.html ${MGL_TEX}/json.html ${MGL_TEX}/mathgl.js ${MGL_TEX}/gunzip.min.js ${MGL_TEX}/inflate.min.js DESTINATION ${MGL_OUT})

	set(UDAV_IMG udav_arg.png udav_calc.png udav_cmd.png udav_data.png 
		udav_gen_set.png udav_help.png udav_light.png udav_main.png udav_opt.png
		udav_pen.png udav_prop.png udav_sch.png udav_txt.png udav_var.png)
	foreach(SAMPLE ${UDAV_IMG})
		file(COPY ${MGL_TEX}/udav/${SAMPLE} DESTINATION ${MGL_OUT}/udav/)
	endforeach(SAMPLE)

	foreach(SAMPLE ${MGL_PNG})
		set(MGL_PNG_N ${MGL_PNG_N} ${MGL_OUT}/png/${SAMPLE}.png)
		add_custom_command(OUTPUT ${MGL_OUT}/png/${SAMPLE}.png
			COMMAND mgl_example -kind=${SAMPLE}
			DEPENDS mgl_example
			WORKING_DIRECTORY ${MGL_OUT}/png )
		set(MGL_PNG_S ${MGL_PNG_S} ${MGL_OUT}/small/${SAMPLE}-sm.png)
		add_custom_command(OUTPUT ${MGL_OUT}/small/${SAMPLE}-sm.png
			COMMAND mgl_example -kind=${SAMPLE} -mini
			DEPENDS mgl_example
			WORKING_DIRECTORY ${MGL_OUT}/small )
		set(MGL_PNG_J ${MGL_PNG_J} ${MGL_OUT}/json/${SAMPLE}.json)
		add_custom_command(OUTPUT ${MGL_OUT}/json/${SAMPLE}.json
			COMMAND mgl_example -json -kind=${SAMPLE}
#			COMMAND ${CMAKE_BINARY_DIR}/examples/mgl_example -json -kind=${SAMPLE}
			DEPENDS mgl_example
			WORKING_DIRECTORY ${MGL_OUT}/json )
if(MGL_HAVE_PDF)
		set(MGL_PNG_D ${MGL_PNG_D} ${MGL_OUT}/pdf/${SAMPLE}.pdf)
		add_custom_command(OUTPUT ${MGL_OUT}/pdf/${SAMPLE}.pdf
			COMMAND mgl_example -pdf -kind=${SAMPLE}
			DEPENDS mgl_example
			WORKING_DIRECTORY ${MGL_OUT}/pdf )
endif(MGL_HAVE_PDF)
	endforeach(SAMPLE)

	set(list_texi_files_en overview_en.texi example_en.texi ex_mgl_en.texi parse_en.texi formats_en.texi udav_en.texi symbols_en.texi
		core_en.texi concept_en.texi widget_en.texi data_en.texi other_en.texi appendix_en.texi fdl.texi )
	set(list_texi_files_ru overview_ru.texi example_ru.texi ex_mgl_ru.texi parse_ru.texi formats_ru.texi udav_ru.texi symbols_ru.texi
		core_ru.texi concept_ru.texi widget_ru.texi data_ru.texi other_ru.texi appendix_ru.texi fdl.texi )

# 	add_custom_command(OUTPUT ${MGL_OUT}/web_en/web_en.html
# 		COMMAND ${findth} -I=${MGL_OUT}/png --split=section -o web_en ${MGL_TEX}/web_en.texi
# 		DEPENDS web_en.texi ${MGL_PNG_S} ${MGL_PNG_J}
# 		WORKING_DIRECTORY ${MGL_OUT}
# 	)

	add_custom_command(OUTPUT ${MGL_OUT}/mathgl_en.info
		COMMAND ${findmi} --no-validate ${MGL_TEX}/mathgl_en.texi
		DEPENDS ${list_texi_files_en} mathgl_en.texi ${MGL_PNG_N}
		WORKING_DIRECTORY ${MGL_OUT}
	)
	add_custom_command(OUTPUT ${MGL_OUT}/mathgl_en/mathgl_en.html
		COMMAND ${findth} -I=${MGL_OUT}/png --split=section -o mathgl_en ${MGL_TEX}/mathgl_en.texi
		DEPENDS ${list_texi_files_en} mathgl_en.texi ${MGL_PNG_N}
		WORKING_DIRECTORY ${MGL_OUT}
	)
	add_custom_command(OUTPUT ${MGL_OUT}/doc_en/doc_en.html
		COMMAND ${findth} -I=${MGL_OUT}/png --split=section --frames -o doc_en ${MGL_TEX}/doc_en.texi
		DEPENDS ${list_texi_files_en} doc_en.texi ${MGL_PNG_N} web_en.texi ${MGL_PNG_S} ${MGL_PNG_J} ${MGL_PNG_D}
		WORKING_DIRECTORY ${MGL_OUT}
	)
	add_custom_command(OUTPUT ${MGL_OUT}/mgl_en.html
		COMMAND ${findth} -I=${MGL_OUT} --split=no -o mgl_en.html ${MGL_TEX}/mgl_en.texi
		DEPENDS ${list_texi_files_en} mgl_en.texi ${MGL_PNG_N}
		WORKING_DIRECTORY ${MGL_OUT}
	)

	add_custom_command(OUTPUT ${MGL_OUT}/mathgl_en.pdf
		COMMAND ${findtp} -I ${MGL_OUT}/png ${MGL_TEX}/mathgl_en.texi
		COMMAND ${findtp} -I ${MGL_OUT}/png ${MGL_TEX}/mathgl_en.texi
		COMMAND ${findtp} -I ${MGL_OUT}/png ${MGL_TEX}/mathgl_en.texi
		DEPENDS ${list_texi_files_en} mathgl_en.texi ${MGL_PNG_N}
		WORKING_DIRECTORY ${MGL_OUT}
	)

	add_custom_command(OUTPUT ${MGL_OUT}/mgl_en.pdf
		COMMAND ${findtp} -I ${MGL_OUT}/png ${MGL_TEX}/mgl_en.texi
		COMMAND ${findtp} -I ${MGL_OUT}/png ${MGL_TEX}/mgl_en.texi
		COMMAND ${findtp} -I ${MGL_OUT}/png ${MGL_TEX}/mgl_en.texi
		DEPENDS ${list_texi_files_en} mgl_en.texi ${MGL_PNG_N}
		WORKING_DIRECTORY ${MGL_OUT}
	)

# 	add_custom_command(OUTPUT ${MGL_OUT}/web_ru/web_ru.html
# 		COMMAND ${findth} -I=${MGL_OUT}/png --split=section -o web_ru ${MGL_TEX}/web_ru.texi
# 		DEPENDS web_ru.texi ${MGL_PNG_S} ${MGL_PNG_J}
# 		WORKING_DIRECTORY ${MGL_OUT}
# 	)

	add_custom_command(OUTPUT ${MGL_OUT}/mathgl_ru.info
		COMMAND ${findmi} --no-validate ${MGL_TEX}/mathgl_ru.texi
		DEPENDS ${list_texi_files_ru} mathgl_ru.texi ${MGL_PNG_N}
		WORKING_DIRECTORY ${MGL_OUT}
	)
	add_custom_command(OUTPUT ${MGL_OUT}/mathgl_ru/mathgl_ru.html
		COMMAND ${findth} -I=${MGL_OUT}/png --split=section -o mathgl_ru ${MGL_TEX}/mathgl_ru.texi
		DEPENDS ${list_texi_files_ru} mathgl_ru.texi ${MGL_PNG_N}
		WORKING_DIRECTORY ${MGL_OUT}
	)
	add_custom_command(OUTPUT ${MGL_OUT}/doc_ru/doc_ru.html
		COMMAND ${findth} -I=${MGL_OUT}/png --split=section --frames -o doc_ru ${MGL_TEX}/doc_ru.texi
		DEPENDS ${list_texi_files_ru} doc_ru.texi ${MGL_PNG_N} web_ru.texi ${MGL_PNG_S} ${MGL_PNG_J} ${MGL_PNG_D}
		WORKING_DIRECTORY ${MGL_OUT}
	)
	add_custom_command(OUTPUT ${MGL_OUT}/mgl_ru.html
		COMMAND ${findth} -I=${MGL_OUT} --split=no -o mgl_ru.html ${MGL_TEX}/mgl_ru.texi
		DEPENDS ${list_texi_files_ru} mgl_ru.texi ${MGL_PNG_N}
		WORKING_DIRECTORY ${MGL_OUT}
	)

	add_custom_command(OUTPUT ${MGL_OUT}/mathgl_ru.pdf
		COMMAND ${findtp} -I ${MGL_OUT}/png ${MGL_TEX}/mathgl_ru.texi
		COMMAND ${findtp} -I ${MGL_OUT}/png ${MGL_TEX}/mathgl_ru.texi
		COMMAND ${findtp} -I ${MGL_OUT}/png ${MGL_TEX}/mathgl_ru.texi
		DEPENDS ${list_texi_files_ru} mathgl_ru.texi ${MGL_PNG_N}
		WORKING_DIRECTORY ${MGL_OUT}
	)

	add_custom_target(documentation ALL
		DEPENDS ${MGL_OUT}/mathgl_en.info
		DEPENDS ${MGL_OUT}/mgl_en.pdf
		DEPENDS ${MGL_OUT}/mathgl_en.pdf
		DEPENDS ${MGL_OUT}/mgl_en.html
		DEPENDS ${MGL_OUT}/mathgl_en/mathgl_en.html

		DEPENDS ${MGL_OUT}/doc_en/doc_en.html
# 		DEPENDS ${MGL_OUT}/web_en/web_en.html

# 		DEPENDS ${MGL_OUT}/mathgl_ru.info
# 		DEPENDS ${MGL_OUT}/mathgl_ru.pdf
		DEPENDS ${MGL_OUT}/mgl_ru.html
		DEPENDS ${MGL_OUT}/mathgl_ru/mathgl_ru.html

		DEPENDS ${MGL_OUT}/doc_ru/doc_ru.html
# 		DEPENDS ${MGL_OUT}/web_ru/web_ru.html
	)
# 	add_custom_target(clean
# 		COMMAND rm -f * */*
# 		WORKING_DIRECTORY ${MGL_OUT}
# 	)
	set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "doc_en;mathgl_en;web_en;./mathgl*.*;small/*.*;png/*.*;json/*.*")
	install(FILES ${MGL_TEX}/qt.png ${MGL_TEX}/fltk.png ${MGL_TEX}/classes.png ${MGL_TEX}/datadvance.png DESTINATION ${MGL_DOC_PATH})
	install(FILES ${MGL_OUT}/mathgl_en.pdf ${MGL_OUT}/mgl_en.html DESTINATION ${MGL_DOC_PATH})
	install(DIRECTORY ${MGL_OUT}/mathgl_en DESTINATION ${MGL_DOC_PATH})
	install(DIRECTORY ${MGL_OUT}/png DESTINATION ${MGL_DOC_PATH})
	install(DIRECTORY ${MGL_OUT}/udav DESTINATION ${MGL_DOC_PATH})
	install(FILES ${MGL_TEX}/mglconv.1 ${MGL_TEX}/mglview.1 ${MGL_TEX}/udav.1 ${MGL_TEX}/mgl.cgi.1 DESTINATION ${MGL_MAN_PATH}/man1)
	install(FILES ${MGL_TEX}/mgl.5 DESTINATION ${MGL_MAN_PATH}/man5)
# TODO: try to install all mathgl*.info* in future!!!
	install(FILES ${MGL_OUT}/mathgl_en.info ${MGL_OUT}/mathgl_en.info-1 ${MGL_OUT}/mathgl_en.info-2 DESTINATION ${MGL_INFO_PATH})
endif(MGL_HAVE_DOC)

=== udav/CMakeLists.txt ===
if(MGL_HAVE_QT)

#set(mgl_wnd_src window.cpp)
set(udav_src anim_dlg.cpp find_dlg.cpp mem_pnl.cpp prop_dlg.cpp textedit.cpp args_dlg.cpp
	help_pnl.cpp newcmd_dlg.cpp text_pnl.cpp calc_dlg.cpp hint_dlg.cpp
	open_dlg.cpp qmglsyntax.cpp udav_wnd.cpp dat_pnl.cpp info_dlg.cpp opt_dlg.cpp setup_dlg.cpp
	files_dlg.cpp plot_pnl.cpp style_dlg.cpp data_dlg.cpp tree_pnl.cpp)

set(udav_moc_hdr anim_dlg.h files_dlg.h info_dlg.h opt_dlg.h text_pnl.h args_dlg.h
	find_dlg.h mem_pnl.h plot_pnl.h setup_dlg.h udav_wnd.h calc_dlg.h help_pnl.h newcmd_dlg.h
	prop_dlg.h style_dlg.h dat_pnl.h open_dlg.h textedit.h hint_dlg.h data_dlg.h)

set(udav_rc udav.qrc)

if(WIN32)
	set(udav_src ${udav_src} udav.rc)
endif(WIN32)

if(MGL_HAVE_GSL)
#	target_link_libraries(mgl ${GSL_LIB} ${GSL_CBLAS_LIB} )
	include_directories(${GSL_INCLUDE_DIR})
endif(MGL_HAVE_GSL)

include(${QT_USE_FILE})
qt4_add_resources(udav_rc_src ${udav_rc} )
#qt_wrap_cpp(udav udav_moc_src ${udav_moc_hdr} )
qt4_wrap_cpp(udav_moc_src ${udav_moc_hdr} )
add_executable(udav ${udav_src} ${udav_moc_src} ${udav_rc_src})
#set_target_properties(udav PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
target_link_libraries(udav mgl-qt ${QT_LIBRARIES})

if(MGL_HAVE_PTHREAD)
	target_link_libraries(udav ${CMAKE_THREAD_LIBS_INIT})
endif(MGL_HAVE_PTHREAD)

install(
	TARGETS udav
	RUNTIME DESTINATION bin
)
install(FILES udav.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/)
install(FILES udav.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/pixmaps/)
install(FILES udav_ru.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/udav/)

endif(MGL_HAVE_QT)

=== utils/CMakeLists.txt ===

add_executable(mglconv mglconv.cpp)
target_link_libraries(mglconv mgl)
install(
	TARGETS mglconv
	RUNTIME DESTINATION bin
)

add_executable(mgl.cgi mglcgi.cpp)
target_link_libraries(mgl.cgi mgl)
install(
	TARGETS mgl.cgi
# should be /usr/lib/cgi-bin/
	RUNTIME DESTINATION ${MGL_CGI_PATH}
)

if(MGL_HAVE_QT)
	include(${QT_USE_FILE})
	add_executable(mglview mglview.cpp)
	target_link_libraries(mglview mgl-qt)
	install(
		TARGETS mglview
		RUNTIME DESTINATION bin
	)
endif(MGL_HAVE_QT)

=== widgets/CMakeLists.txt ===
include(GenerateExportHeader)
add_compiler_export_flags()

if(MGL_HAVE_FLTK)
	include_directories(${FLTK_INCLUDE_DIR})
	add_library(mgl-fltk SHARED fltk.cpp ../include/mgl2/fltk.h)
	add_library(mgl-fltk-static STATIC fltk.cpp ../include/mgl2/fltk.h)
	set_target_properties(mgl-fltk PROPERTIES SOVERSION 7.0.0)
	set_target_properties(mgl-fltk PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	set_target_properties(mgl-fltk PROPERTIES DEFINE_SYMBOL "mgl_EXPORTS")
	set_target_properties(mgl-fltk-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	set_target_properties(mgl-fltk-static PROPERTIES COMPILE_FLAGS -DMGL_STATIC_DEFINE)
	target_link_libraries(mgl-fltk mgl)
	target_link_libraries(mgl-fltk ${FLTK_LIBRARIES})

	if(enable-mgl2)
		set_target_properties(mgl-fltk PROPERTIES OUTPUT_NAME "mgl2-fltk")
		set_target_properties(mgl-fltk-static PROPERTIES OUTPUT_NAME "mgl2-fltk")
	else(enable-mgl2)
		set_target_properties(mgl-fltk-static PROPERTIES OUTPUT_NAME "mgl-fltk")
	endif(enable-mgl2)

	install(
		TARGETS mgl-fltk mgl-fltk-static
		RUNTIME DESTINATION bin
		ARCHIVE DESTINATION ${MGL_LIB_INSTALL_DIR}
		LIBRARY DESTINATION ${MGL_LIB_INSTALL_DIR}
	)
endif(MGL_HAVE_FLTK)

if(MGL_HAVE_GLUT)
	include_directories(${GLUT_INCLUDE_DIR})
	add_library(mgl-glut SHARED glut.cpp ../include/mgl2/glut.h)
	add_library(mgl-glut-static STATIC glut.cpp ../include/mgl2/glut.h)
	set_target_properties(mgl-glut PROPERTIES SOVERSION 7.0.0)
	set_target_properties(mgl-glut PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	set_target_properties(mgl-glut PROPERTIES DEFINE_SYMBOL "mgl_EXPORTS")
	set_target_properties(mgl-glut-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	set_target_properties(mgl-glut-static PROPERTIES COMPILE_FLAGS -DMGL_STATIC_DEFINE)
	target_link_libraries(mgl-glut mgl)
	target_link_libraries(mgl-glut ${GLUT_LIBRARIES} ${OPENGL_LIBRARIES})

	if(enable-mgl2)
		set_target_properties(mgl-glut PROPERTIES OUTPUT_NAME "mgl2-glut")
		set_target_properties(mgl-glut-static PROPERTIES OUTPUT_NAME "mgl2-glut")
	else(enable-mgl2)
		set_target_properties(mgl-glut-static PROPERTIES OUTPUT_NAME "mgl-glut")
	endif(enable-mgl2)

	install(
		TARGETS mgl-glut mgl-glut-static
		RUNTIME DESTINATION bin
		ARCHIVE DESTINATION ${MGL_LIB_INSTALL_DIR}
		LIBRARY DESTINATION ${MGL_LIB_INSTALL_DIR}
	)
endif(MGL_HAVE_GLUT)

if(MGL_HAVE_WX)
	include(${wxWidgets_USE_FILE})
	add_library(mgl-wx SHARED wx.cpp ../include/mgl2/wx.h)
	add_library(mgl-wx-static STATIC wx.cpp ../include/mgl2/wx.h)
	set_target_properties(mgl-wx PROPERTIES SOVERSION 7.0.0)
	set_target_properties(mgl-wx PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	set_target_properties(mgl-wx PROPERTIES DEFINE_SYMBOL "mgl_EXPORTS")
	set_target_properties(mgl-wx-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	set_target_properties(mgl-wx-static PROPERTIES COMPILE_FLAGS -DMGL_STATIC_DEFINE)
	target_link_libraries(mgl-wx mgl)
	target_link_libraries(mgl-wx ${wxWidgets_LIBRARIES})

	if(enable-mgl2)
		set_target_properties(mgl-wx PROPERTIES OUTPUT_NAME "mgl2-wx")
		set_target_properties(mgl-wx-static PROPERTIES OUTPUT_NAME "mgl2-wx")
	else(enable-mgl2)
		set_target_properties(mgl-wx-static PROPERTIES OUTPUT_NAME "mgl-wx")
	endif(enable-mgl2)

	install(
		TARGETS mgl-wx mgl-wx-static
		RUNTIME DESTINATION bin
		ARCHIVE DESTINATION ${MGL_LIB_INSTALL_DIR}
		LIBRARY DESTINATION ${MGL_LIB_INSTALL_DIR}
	)
endif(MGL_HAVE_WX)

if(MGL_HAVE_QT)
	include(${QT_USE_FILE})
	qt4_wrap_cpp(MGL_MOC_FILES ../include/mgl2/qmathgl.h)
	add_library(mgl-qt SHARED qt.cpp ${MGL_MOC_FILES} ../include/mgl2/qt.h ../include/mgl2/qmathgl.h)
	add_library(mgl-qt-static STATIC qt.cpp ${MGL_MOC_FILES} ../include/mgl2/qt.h ../include/mgl2/qmathgl.h)
	set_target_properties(mgl-qt PROPERTIES SOVERSION 7.0.0)
	set_target_properties(mgl-qt PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	set_target_properties(mgl-qt PROPERTIES DEFINE_SYMBOL "mgl_EXPORTS")
	set_target_properties(mgl-qt-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	set_target_properties(mgl-qt-static PROPERTIES COMPILE_FLAGS -DMGL_STATIC_DEFINE)
	target_link_libraries(mgl-qt mgl)
	target_link_libraries(mgl-qt ${QT_LIBRARIES})

	if(enable-mgl2)
		set_target_properties(mgl-qt PROPERTIES OUTPUT_NAME "mgl2-qt")
		set_target_properties(mgl-qt-static PROPERTIES OUTPUT_NAME "mgl2-qt")
	else(enable-mgl2)
		set_target_properties(mgl-qt-static PROPERTIES OUTPUT_NAME "mgl-qt")
	endif(enable-mgl2)

	install(
		TARGETS mgl-qt mgl-qt-static
		RUNTIME DESTINATION bin
		ARCHIVE DESTINATION ${MGL_LIB_INSTALL_DIR}
		LIBRARY DESTINATION ${MGL_LIB_INSTALL_DIR}
	)
endif(MGL_HAVE_QT)


#if(MGL_HAVE_QT AND MGL_HAVE_WX AND MGL_HAVE_FLTK)
if(MGL_HAVE_QT AND MGL_HAVE_FLTK)
	include_directories(${FLTK_INCLUDE_DIR})
#	include(${wxWidgets_USE_FILE})
	include(${QT_USE_FILE})

#	set(MGL_WND_SRC wx.cpp ../include/mgl2/wx.h qt.cpp ../include/mgl2/qt.h ../include/mgl2/qmathgl.h fltk.cpp ../include/mgl2/fltk.h)
	set(MGL_WND_SRC qt.cpp ../include/mgl2/qt.h ../include/mgl2/qmathgl.h fltk.cpp ../include/mgl2/fltk.h)

	add_library(mgl-wnd SHARED ${MGL_WND_SRC} ${MGL_MOC_FILES})
	add_library(mgl-wnd-static STATIC ${MGL_WND_SRC} ${MGL_MOC_FILES})

	set_target_properties(mgl-wnd PROPERTIES SOVERSION 7.0.0)
	set_target_properties(mgl-wnd PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	set_target_properties(mgl-wnd PROPERTIES DEFINE_SYMBOL "mgl_EXPORTS")
	set_target_properties(mgl-wnd-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	set_target_properties(mgl-wnd-static PROPERTIES COMPILE_FLAGS -DMGL_STATIC_DEFINE)

	if(enable-mgl2)
		set_target_properties(mgl-wnd PROPERTIES OUTPUT_NAME "mgl2-wnd")
		set_target_properties(mgl-wnd-static PROPERTIES OUTPUT_NAME "mgl2-wnd")
	else(enable-mgl2)
		set_target_properties(mgl-wnd-static PROPERTIES OUTPUT_NAME "mgl-wnd")
	endif(enable-mgl2)

	target_link_libraries(mgl-wnd mgl)
	target_link_libraries(mgl-wnd ${QT_LIBRARIES})
#	target_link_libraries(mgl-wnd ${wxWidgets_LIBRARIES})
	target_link_libraries(mgl-wnd ${FLTK_LIBRARIES})

	install(
		TARGETS mgl-wnd mgl-wnd-static
		RUNTIME DESTINATION bin
		ARCHIVE DESTINATION ${MGL_LIB_INSTALL_DIR}
		LIBRARY DESTINATION ${MGL_LIB_INSTALL_DIR}
	)
#endif(MGL_HAVE_QT AND MGL_HAVE_WX AND MGL_HAVE_FLTK)
endif(MGL_HAVE_QT AND MGL_HAVE_FLTK)

=== debian/changelog ===
mathgl (2.1.3.1-4ubuntu3) trusty; urgency=medium

  * No change rebuild against libopenmpi1.6.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 22 Dec 2013 02:45:23 +0000

mathgl (2.1.3.1-4ubuntu2) trusty; urgency=low

  * Drop the unused libhdf4-dev build dependency, don't look for libhdf4.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Oct 2013 17:23:16 +0200

mathgl (2.1.3.1-4) unstable; urgency=low

  * More symbols changes for build on ia64

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 18 Aug 2013 11:32:38 +0300

mathgl (2.1.3.1-3) unstable; urgency=low

  * Further symbols tweaking for build on ia64

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 18 Aug 2013 08:48:20 +0300

mathgl (2.1.3.1-2) unstable; urgency=low

  * Amend symbols files to enable build on ia64

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 17 Aug 2013 21:00:08 +0300

mathgl (2.1.3.1-1) unstable; urgency=low

  * Imported Upstream version 2.1.3.1 (Closes: #708969)
  * Add mpi-default-dev to build dependencies.
  * Add patch for lang/setup.py.in to enable python to read directory tree
    written in utf-8 (not ascii) encoding.
  * Add UDAV.desktop and udav.png to the files to be installed within the
    package udav.
  * Add Replaces and Conflicts with mathgl-1* packages in the debian/control
    file.
  * Add udav manpage.
  * Replace octave3.2-headers with liboctave-dev in build deps.
  * Fix library package names to reflect soname.
  * Rename mathgl-doc binary to mathgl-doc-en.  
  * Fix installation directory in doc-base file mathgl-doc-en.
  * Fix installation directory of python module and files.
  * Add udav binary package.
  * Make build dependency on libhdf5-dev only.
  * Add c++ compilation include path for pyconfig.h 
  * Fix typo in libmgl-glut6.0.0 package (by D. Haley) (Closes: #698570)
  * Change soname in libraries from 6 to 7
  * Add libmgl-qt7.0.0 library package creation
  * Add libmgl-fltk7.0.0 and libmgl-wx7.0.0 packages
  * Remove DM-Upload-Allow field from debian/control
  * Remove D. Haley from uploaders after his request
  * Update Standards-Version to 3.9.4
  * Add title for CMakeLists-txt.patch
  * Remove encoding specification line from udav.desktop
  * Shorten debian/rules file by using dh $@ and overrides
  * Remove .pyc file from python-mathgl package
  * Remove old udav manpage file
  * Modify vcs field
  * Associate udav.1 manpage to package udav
  * Built with g++-4.7 on both unstable and experimental
  * Add version on libfltk1.3-dev build dependency
  * Remove (optional) tags from symbols
  * Built with gcc-4.8 on amd64
  * Add Conflicts/Replaces options in debian/control
  * Remove multiarch related commands from debian/rules
  * Add libqtwebkit-dev to build deps in debian/control
  * Amend libmgl7.0.0 related symbols for amd64
  * Install executable mgl.cgi in /usr/bin
  * Amend overlooked debian/copyright
  * Add libmgl-mpi binary package
  * Add header to the CMakeLists-txt.patch
  * Correct short package description lines (Closes: #703834)
  * Minor symbols tuning
  * Remove version from libfltk1.3-dev build dependency
  * Fix most, missing compilation and linker flag, lintian warnings
  * Update header of CMakeLists-txt.patch
  * Add --parallel option to dh $@ in debian/rules
  * Include missing files and licenses in debian/copyright
  * Fix build failure due to gsl 1.15 --> 1.16 upgrade
  * Add full text of BSD license in debian/copyright

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 11 Aug 2013 22:24:05 +0300

mathgl (2~rc1-3) experimental; urgency=low

  * Fix symbols FTBFS, related to libmgl-wnd6, on several arches.
  * Make libmgl-dev dependent on libmgl-wnd6.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Wed, 4 Jan 2012 20:16:00 +0200

mathgl (2~rc1-2) experimental; urgency=low

  * Correct typo in mathgl description in debian/control (Closes: #644863).
  * Try to fix symbols FTBFS on several arches.   

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Wed, 4 Jan 2012 15:30:00 +0200

mathgl (1.11.2-17) unstable; urgency=low

  * Amend debian/copyright file to reflect the changes done by the upstream
    author to the texinfo/copyright.texi file in the SCM repository of
    mathgl at sourceforge.net (Closes: #693885).

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 13 Dec 2012 22:33:56 +0200

mathgl (1.11.2-16) unstable; urgency=low

  * Correct dir in debian/copyright linking to the amended copyright.texi
    file in the upstream SCM repository.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Fri, 30 Nov 2012 12:51:27 +0200

mathgl (1.11.2-15) unstable; urgency=low

  * Change debian/copyright file such that the license of the documentation 
    files included in the upstream source */texinfo directory, becomes free
    (Closes: #693885).

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Fri, 23 Nov 2012 21:59:35 +0200

mathgl (1.11.2-14) unstable; urgency=low

  * Make several libmgl-wx5 related symbols optional in order to fix FTBFS on
    several arches.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 10 May 2012 22:19:03 +0300

mathgl (1.11.2-13) unstable; urgency=low

  * Make several libmgl-qt5 related symbols optional in order to fix FTBFS on 
    several arches.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 10 May 2012 19:12:22 +0300

mathgl (1.11.2-12) unstable; urgency=low

  * Make more libmgl5 related symbols optional in order to fix FTBFS on several
    arches.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 10 May 2012 16:09:18 +0300

mathgl (1.11.2-11) unstable; urgency=low

  * Update symbols files in order to fix FTBFS (Closes: #671964) 

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Tue, 08 May 2012 20:18:59 +0300

mathgl (1.11.2-10) unstable; urgency=low

  * Replace octave3.2-headers with liboctave-dev in Build-Depends in
    debian/control (Closes: #666753).
  * Add zlib1g (>= 1.2.6) to Depends of libmgl5 to deal with a symbol export 


=== debian/control ===
Source: mathgl
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>
Build-Depends: debhelper (>= 9), libltdl-dev, libgsl0-dev, freeglut3-dev,
 libgl1-mesa-dev | libgl-dev, libpng-dev, libhdf5-dev, swig, cmake, libxft-dev,
 libjpeg-dev, libtiff-dev, libfltk1.3-dev, libqt4-dev, libwxgtk2.8-dev, 
 texinfo, texi2html, texlive, texlive-generic-recommended, liboctave-dev,
 libgif-dev, python-dev, python-numpy, libfontconfig1-dev, libqtwebkit-dev,
 chrpath, libxinerama-dev, libxmu-dev, libxi-dev, libhpdf-dev,
 mpi-default-dev
Standards-Version: 3.9.4
Homepage: http://mathgl.sourceforge.net/index.html
Vcs-Git: git://anonscm.debian.org/debian-science/packages/mathgl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/mathgl.git

Package: mathgl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl7.0.0 (= ${binary:Version})
Description: library for scientific graphs (utilities and examples)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains MathGL utilities and examples.

Package: udav
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl7.0.0 (= ${binary:Version})
Description: library for scientific graphs (window interface)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the udav window environment based on mathgl.

Package: mathgl-doc-en
Architecture: all
Section: doc
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Replaces: mathgl-doc, mathgl-doc-ru
Conflicts: mathgl-doc, mathgl-doc-ru
Description: library for scientific graphs (English documentation)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the MathGL documentation.

Package: libmgl7.0.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl-data
Replaces: libmgl5, libmgl6
Conflicts:  libmgl5, libmgl6
Description: library for scientific graphs (main runtime library)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the shared object files.

Package: libmgl-mpi7.0.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl-data
Description: library for scientific graphs (mpi enhanced runtime library)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the, parallel interface enhanced, shared object 
 files.

Package: libmgl-wnd7.0.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl-data
Replaces: libmgl-fltk5, libmgl-wnd6, libmgl-qt5, libmgl-wx5
Conflicts: libmgl-fltk5, libmgl-wnd6, libmgl-qt5, libmgl-wx5 
Description: library for scientific graphs (windows runtime library)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the window opening related shared object files based
 on Fltk, Qt and Wx.

Package: libmgl-glut7.0.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl-data
Replaces: libmgl-glut5
Conflicts: libmgl-glut5
Description: library for scientific graphs (glut interface for windows)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the glut interface shared object files for window 
 opening.

Package: libmgl-qt7.0.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl-data
Replaces: libmgl-qt5
Conflicts: libmgl-qt5
Description: library for scientific graphs (Qt interface for windows)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the Qt interface shared object files for window 
 opening.

Package: libmgl-fltk7.0.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl-data
Replaces: libmgl-fltk5
Conflicts: libmgl-fltk5
Description: library for scientific graphs (fltk interface for windows)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the fltk interface shared object files for window 
 opening.

Package: libmgl-wx7.0.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl-data
Replaces: libmgl-wx5
Conflicts: libmgl-wx5
Description: library for scientific graphs (wx interface for windows)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the wx interface shared object files for window 
 opening.

Package: libmgl-data
Architecture: all
Section: misc
Depends: ${misc:Depends}
Description: library for scientific graphs (data files)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the MathGL data files.

Package: libmgl-dev
Architecture: any
Section: libdevel
Depends: libmgl7.0.0 (= ${binary:Version}), libmgl-wnd7.0.0 (= ${binary:Version}),
 libmgl-wx7.0.0 (= ${binary:Version}), libmgl-fltk7.0.0 (= ${binary:Version}),
 libmgl-qt7.0.0 (= ${binary:Version}), libmgl-glut7.0.0 (= ${binary:Version}),
 libmgl-mpi7.0.0 (= ${binary:Version}), ${misc:Depends}, libgsl0-dev, 
 libgl1-mesa-dev | libgl-dev, libpng-dev 
Description: library for scientific graphs (development files)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the development files. 

Package: python-mathgl
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy
Description: library for scientific graphs (Python module)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package provides the Python module for mathgl.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v

%:
	dh $@ --buildsystem=cmake --with python2 --parallel

override_dh_python2:
	dh_python2 -- --no-guessing-versions
	dh_numpy
